package za.org.treehouse.hypoalarm;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.util.Log;
import android.widget.Toast;

public class CancelGraceReceiver extends BroadcastReceiver {
    @Override
    public void onReceive(Context context, Intent intent) {
        // Ensure that any snoozes that are pending never happen.
        AlarmService.setAlarmStatus(AlarmService.ALARM_DISMISSED);
        context.stopService(new Intent(context, AlarmService.class));

        MainActivity.cancelGraceAlarm(context);

        // Display toast
        Toast.makeText(context, context.getString(R.string.graceCancelToast), Toast.LENGTH_LONG).show();
    }
}